Subject: Re: bug#27450: guix pull failed updating guix

From: [email-masked] (Ludovic Courtès)
Date: Fri, 23 Jun 2017 11:29:39 +0200

Jonathan Brielmaier <[email-masked]> skribis:

> Am 22.06.2017 um 23:05 schrieb Ludovic Courtès:
>> Leo Famulari <[email-masked]> skribis:
>> 
>>> On Thu, Jun 22, 2017 at 06:20:54PM +0200, Jonathan Brielmaier wrote:
>>>> copying and compiling to
>>>> '/gnu/store/ld6h1fc696q6iaxi9pax0khnm747hvgi-guix-latest' with Guile
>>>> 2.0.12...
>>>> loading...	 12.6% of 605 filesice-9/psyntax.scm:3084:32: In procedure
>>>> #<procedure 4f831a0 (k filename)>:
>>>> ice-9/psyntax.scm:3084:32: Syntax error:
>>>> bytestructures/guile/base.scm:8:19: include-from-path: file not found in
>>>> path in subform "bytestructures/r7/base.exports.sld" of
>>>> (include-from-path "bytestructures/r7/base.exports.sld")
>>>> builder for
>>>> `/gnu/store/lh7ja8hk54rlx7q3hrch6726cgrsqr8j-guix-latest.drv' failed
>>>> with exit code 1
>>>> guix pull: error: build failed: build of
>>>> `/gnu/store/lh7ja8hk54rlx7q3hrch6726cgrsqr8j-guix-latest.drv' failed
>>>> $ guix --version
>>>> guix (GNU Guix) 20170303.14
>>>>
>>>> guile-version: 2.0.12
>>>
>>> This Guix was a bit old (from March 2017) and was using Guile 2.0
>>> instead of Guile 2.2.
>>>
>>> I'm not sure, but I'd guess the issue is related to the recent addition
>>> of a dependency on guile-bytestructures [0].
>>>
>>> [0]
>>> https://git.savannah.gnu.org/cgit/guix.git/commit/?id=19c90e5f697bbf1be5ea3a7b4f5fe712d77070a1
>> 
>> The problem is that there was a time window in March where
>> ‘guile-bytestructures’ was broken as can be seen above.  This prevents
>> upgrade here.  :-/
>> 
>> The workaround would be to first upgrade to the commit before the one
>> you gave:
>> 
>>   guix pull \
>>     --url=https://git.savannah.gnu.org/cgit/guix.git/snapshot/6fe5c49ab487154074eaab2ef80e9a2f8163320c.tar.gz
>> 
>> and then upgrade again:
>> 
>>   guix pull
>> 
>> Jonathan, are you able to confirm that this works or did you work around
>> it differently already?
> Sadly I can't confirm if this work around works because I reinstalled
> guix (I removed the broken one and did a clean new 0.13 installation).
>
> Next time I'll wait until the mailing list gives me the right commit :)

No problem.  I’m closing the bug, with the understanding though that it
illustrates a “well-known” defect in ‘guix pull’.

Thanks,
Ludo’.